package org.bitbucket.bradleysmithllc.etlunit.feature.assertion;

import org.bitbucket.bradleysmithllc.etlunit.feature.FeatureModule;
import org.bitbucket.bradleysmithllc.etlunit.feature.extend.ExtensibleFeatureModule;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

import java.util.Arrays;
import java.util.List;

/**
 * It's probably overkill to have an assertion module, but it seems better than having lots
 * of modules (E.G., database and file) declare their own assert operations.
 */
@FeatureModule
public class AssertionFeatureModule extends ExtensibleFeatureModule {
	private static final List<String> prerequisites = Arrays.asList("logging");

	@Override
	public List<String> getPrerequisites() {
		return prerequisites;
	}

	public String getFeatureName() {
		return "assertion";
	}
}